Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

libraryId
string
required

The ID of the library

viewId
string
required

The ID of the view

Query Parameters

offset
string

The offset from which we should get the documents. (Default: 0, i.e. from the first one)

limit
integer<int32>
default:20

The maximum number of documents per page. (Default: 20)

searchQuery
string

The text searched to filter documents

securityCode
string

The security code

domain
string

The G Suite domain

searchInAttachments
boolean
default:true

Whether to search the text in the attachments too (true by default)

timezone
string

The timezone to use for datetime field searches (default: UTC). Format: 'Europe/Paris' or '+01:00'

Body

application/json
disableSorting
boolean

Enforce the fact that results won't be sorted because by default results are sorted by last modification date

filter
object
sort
object[]

Order the results of the search

Response

200 - application/json

A ApiSearchResult response

count
integer<int32>
documents
object[]
kind
string
nextPageToken
string
precision
enum<string>
Available options:
ACCURATE,
ESTIMATED_RESULT_NUMBER,
INCOMPLETE_RESULT